Last modified: 2012-08-04 20:48:44 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 19160 - DISTINCTROW with Postgres
DISTINCTROW with Postgres
Status: RESOLVED FIXED
Product: MediaWiki
Classification: Unclassified
Database (Other open bugs)
1.15.x
All All
: Normal minor (vote)
: ---
Assigned To: Nobody - You can work on this!
:
Depends on:
Blocks: postgres
  Show dependency treegraph
 
Reported: 2009-06-11 15:52 UTC by Mario A. Guerra
Modified: 2012-08-04 20:48 UTC (History)
1 user (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Mario A. Guerra 2009-06-11 15:52:53 UTC
When trying to execute one of the maintenance scripts, it fails because it was sending a query with the reserved word "DISTINCTROW" to the Postgres database server of my installation. Postgres does not support this word.

The scrip:
..../maintenance$ php deleteOldRevisions.php --delete 76

The error is on the query:
  SELECT DISTINCTROW rev_text_id FROM revision

The workaround:
  Edit the file purgeOldText.inc, in the lines 23 and 31, replacing the text "DISTINCTROW" with "DISTINCT"

Tip:
  Doing a little search it appears that "DISTINCTROW" is not standard SQL.
  I suggest replacing all references to "DISTINCTROW" to "DISTINCT" in futures releases of MediaWiki.
Comment 1 Alex Z. 2009-06-15 03:11:05 UTC
Fixed in r51858. That appears to be the only use of DISTINCTROW.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links